import React from 'react';
import './styles.css';
export default function Spinner({
  style,
  className,
  color = 'black',
  thickness = 4,
}: {
  style?: React.CSSProperties;
  className?: string;
  color?: string;
  thickness?: number;
}) {
  return (
    <div
      style={{ borderTop: `${thickness}px solid ${color}`, ...style }}
      className={'component-spin ' + className}
    />
  );
}
